CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

AutoCAD 2023 开发者帮助

ScaleLineweights 属性 (ActiveX)

2024-5-18 18:57| 发布者: admin| 查看: 15| 评论: 0|原作者: admin|来自: AutoCAD

ScaleLineweights 属性 (ActiveX)

指定打印布局时是否将线宽与几何图形的其余部分一起缩放。

支持的平台:仅限 Windows

签名

VBA:

object.ScaleLineweights
对象

类型:布局PlotConfiguration

此属性应用于的对象。

属性值

只读:

类型:布尔

  • True:刻度线宽。
  • False:不缩放线宽。

言论

默认情况下,线宽以绝对大小(不缩放)打印。

为模型空间布局禁用该属性。

例子

VBA:

Sub Example_ScaleLineweights()
    ' This example reads and modifies the ScaleLineweights
    ' Layout value.
    ' When finished, this example resets the  value back to
    ' its original value.
    
    Dim ACADLayout As ACADLayout
    Dim originalValue As Boolean
    
    ' Get the layout object
    Set ACADLayout = ThisDrawing.ActiveLayout
    
    ' Read and display the original value
    originalValue = ACADLayout.ScaleLineweights
    MsgBox "The ScaleLineweights value is set to: " & originalValue

    ' Modify the ScaleLineweights preference by toggling the value
    ACADLayout.ScaleLineweights = Not ACADLayout.ScaleLineweights
    MsgBox "The ScaleLineweights preference has been set to: " & ACADLayout.ScaleLineweights

    ' Reset the preference back to its original value
    ACADLayout.ScaleLineweights = originalValue
    MsgBox "The ScaleLineweights preference was reset back to: " & originalValue
End Sub

可视化 LISP:

(vl-load-com)
(defun c:Example_ScaleLineweights()
    ;; This example reads and modifies the ScaleLineweights
    ;; Layout value.
    ;; When finished, this example resets the  value back to
    ;; its original value.
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
    
    ;; Get the layout object
    (setq ACADLayout (vla-get-ActiveLayout doc))
    
    ;; Read and display the original value
    (setq originalValue (vla-get-ScaleLineweights ACADLayout))
    (alert (strcat "The ScaleLineweights value is set to: " (if (= originalValue :vlax-true) "True" "False")))

    ;; Modify the ScaleLineweights preference by toggling the value
    (vla-put-ScaleLineweights ACADLayout (if (= originalValue :vlax-true) :vlax-false :vlax-true))
    (alert (strcat "The ScaleLineweights preference has been set to: " (if (= (vla-get-ScaleLineweights ACADLayout) :vlax-true) "True" "False")))

    ;; Reset the preference back to its original value
    (vla-put-ScaleLineweights ACADLayout originalValue)
    (alert (strcat "The ScaleLineweights preference was reset back to: " (if (= originalValue :vlax-true) "True" "False")))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-6-27 15:53

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部